import React, { PropTypes } from 'react';


const uiModifiers = PropTypes.oneOf([
    'blue', 'informative',
    'dark-gray', 'active',
    'gray', 'default',
    'red', 'danger',
    'teal', 'primary',
    'white', 'secondary',
    'link',
    'mobile-stretched',
    'stretched'
]);


export default (Component) => {

    return React.createClass({

        propTypes: {
            ui: PropTypes.oneOfType([
                uiModifiers,
                PropTypes.arrayOf(uiModifiers)
            ])
        },

        getDefaultProps() {
            return {
                ui: 'default'
            };
        },

        render() {
            return (
                <Component
                    { ...this.props }
                    ui={ this.props.ui } />
            );
        }

    });

};
